Ask Your Question
0

How to solve 'ros-fuerte-octovis : Depends: libqt4 but it is not installable' ?

asked 2012-08-15 02:41:55 -0500

sam gravatar image

updated 2012-08-15 03:52:32 -0500

I try to run:

  sam@sam:~$ sudo apt-get install ros-fuerte-octovis
  Reading package lists... Done
  Building dependency tree       
  Reading state information... Done
  Some packages could not be installed. This may mean that you have
  requested an impossible situation or if you are using the unstable
  distribution that some required packages have not yet been created
  or been moved out of Incoming.
  The following information may help to resolve the situation:

  The following packages have unmet dependencies:
   ros-fuerte-octovis : Depends: libqt4 but it is not installable
                        Depends: libqglviewer-qt4 but it is not installable
  E: Unable to correct problems, you have held broken packages.
  sam@sam:~$

What's this question means? Which lib caused couldn't install libqt4?

How to find that and fix it?

Thank you~

================================================

I try to run:

  sam@sam:~$ sudo aptitude install ros-fuerte-octovis
  The following NEW packages will be installed:
    ros-fuerte-octovis{b} 
  0 packages upgraded, 1 newly installed, 0 to remove and 187 not upgraded.
  Need to get 190 kB of archives. After unpacking 561 kB will be used.
  The following packages have unmet dependencies:
   ros-fuerte-octovis : Depends: libqt4 which is a virtual package.
                        Depends: libqglviewer-qt4 which is a virtual package.
  The following actions will resolve these dependencies:

       Keep the following packages at their current version:
  1)     ros-fuerte-octovis [Not Installed]                 



  Accept this solution? [Y/n/q/?] y
  No packages will be installed, upgraded, or removed.
  0 packages upgraded, 0 newly installed, 0 to remove and 187 not upgraded.
  Need to get 0 B of archives. After unpacking 0 B will be used.
  perl: warning: Setting locale failed.    
  perl: warning: Please check that your locale settings:
    LANGUAGE = "zh_TW:zh",
    LC_ALL = (unset),
    LC_MESSAGE = "en_US.UTF8",
    LANG = "en_US"
      are supported and installed on your system.
  perl: warning: Falling back to the standard locale ("C").
  locale: Cannot set LC_CTYPE to default locale: No such file or directory
  locale: Cannot set LC_MESSAGES to default locale: No such file or directory
  locale: Cannot set LC_ALL to default locale: No such file or directory

  sam@sam:~$

But after this operation, the problem still the same.

I still can't install ros-fuerte-octovis.

How to solve it?

Thank you~

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
5

answered 2012-08-15 04:24:52 -0500

AHornung gravatar image

Unfortunately, there is currently a problem with the released octovis package: The dependencies are just wrong. This will be resolved once the build server catches up and the newest version becomes available.

Until that time you can either build octovis from source or install the correct version from here: http://50.28.27.175/repos/building/pool/main/r/ros-fuerte-octovis/

Pick your right Ubuntu version and x86 or 64 bit, download the .deb file and run

sudo dpkg -i ros-fuerte-octovis_1.4.2-4*.deb

on it.

Sorry for the trouble!

edit flag offensive delete link more

Comments

I have seen many similar dependency errors. What's those problem means? Thank you~

sam gravatar imagesam ( 2012-08-17 01:49:42 -0500 )edit
0

answered 2012-08-15 03:17:08 -0500

dornhege gravatar image

Try aptitude instead of apt-get. It should show you where the problem originates from and might suggest a solution.

edit flag offensive delete link more

Comments

I have edited the original post, but still not working. How to solve it? Thank you~

sam gravatar imagesam ( 2012-08-15 03:53:10 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-08-15 02:41:55 -0500

Seen: 270 times

Last updated: Aug 16 '12